/***************************************************************************
                          spinbox.cpp  -  description
                             -------------------
    begin                : Sun Apr 8 2001
    copyright            : (C) 2015 by Werner Stille
    email                : stille@uni-freiburg.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "spinbox.h"

SpinBox::SpinBox(int val, int minValue, int maxValue, int step,
                 QWidget* parent) :
 QSpinBox(parent)
{
  setRange(minValue, maxValue);
  setSingleStep(step);
  setValue(val);
}

SpinBox::~SpinBox()
{
}
